Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 186343 - IllegalArgumentException: Parameter file was not normalized. Was \ instead of C:\
IllegalArgumentException: Parameter file was not normalized. Was \ instead of...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Alexey Vladykin
issues@cnd
EXCEPTIONS_REPORT, 69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-19 06:34 UTC by niclasb
Modified: 2010-07-09 14:08 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.73 KB, text/plain)
2010-05-19 06:34 UTC, niclasb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description niclasb 2010-05-19 06:34:30 UTC
Build: NetBeans IDE 6.9 Beta (Build 201004200117)
VM: Java HotSpot(TM) Client VM, 11.0-b15, Java(TM) SE Runtime Environment, 1.6.0_10-b33
OS: Windows XP

User Comments:
jrwhitley: Creating (for the first time) a C/C++ project with existing sources




Stacktrace: 
java.lang.IllegalArgumentException: Parameter file was not normalized. Was \ instead of C:\
   at org.openide.filesystems.FileUtil.toFileObject(FileUtil.java:991)
   at org.netbeans.modules.cnd.makeproject.ui.wizards.SelectModePanel.valid(SelectModePanel.java:298)
   at org.netbeans.modules.cnd.makeproject.ui.wizards.SelectModeDescriptorPanel.validate(SelectModeDescriptorPanel.java:90)
   at org.netbeans.modules.cnd.makeproject.ui.wizards.SelectModeDescriptorPanel.access$100(SelectModeDescriptorPanel.java:57)
   at org.netbeans.modules.cnd.makeproject.ui.wizards.SelectModeDescriptorPanel$WizardStorage.setPath(SelectModeDescriptorPanel.java:193)
   at org.netbeans.modules.cnd.makeproject.ui.wizards.SelectModePanel$1.insertUpdate(SelectModePanel.java:80)
Comment 1 niclasb 2010-05-19 06:34:33 UTC
Created attachment 99177 [details]
stacktrace
Comment 2 Alexey Vladykin 2010-05-19 14:27:19 UTC
Fixed in http://hg.netbeans.org/cnd-main/rev/8287d27a3d09
Comment 3 Quality Engineering 2010-05-20 06:16:22 UTC
Integrated into 'main-golden', will be available in build *201005192201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/8287d27a3d09
User: Alexey Vladykin <alexey_vladykin@netbeans.org>
Log: #186343 IllegalArgumentException: Parameter file was not normalized. Was \ instead of C:\
Comment 4 rbalada 2010-06-16 08:54:00 UTC
Please verify bugfix for this bug, so it can be included in release691 repository.

Thanks,
-R
Comment 5 Alexander Pepin 2010-06-18 14:46:41 UTC
can not reproduce in 6.9, please check that the fix was not included into 6.9
Comment 6 Vladimir Voskresensky 2010-06-18 16:10:30 UTC
it is not included in 6.9 (and 6.9.1)
Comment 7 Alexander Pepin 2010-06-21 12:12:39 UTC
then I mark it as verified.
Comment 8 Alexander Pepin 2010-06-21 12:13:51 UTC
niclasb, please confirm that the bug has been fixed in the trunk.
Comment 9 rbalada 2010-06-21 15:10:58 UTC
main #8287d27a3d09 transplanted to release691 #7b33180c0410
Comment 10 Alexander Pepin 2010-07-09 14:08:26 UTC
verified in 6.9.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo